Bug 71566 - [PATCH] FAQ update: Mention that doscmd is gone
Summary: [PATCH] FAQ update: Mention that doscmd is gone
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-10 20:00 UTC by Joel Dahl
Modified: 2004-09-13 17:19 UTC (History)
0 users

See Also:


Attachments
doscmd.diff (798 bytes, patch)
2004-09-10 20:00 UTC, Joel Dahl
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Dahl 2004-09-10 20:00:32 UTC
As I understand it, doscmd was removed from the base system
a while ago and the FAQ does not mention this change.
The attached patch makes the FAQ aware of this.

Note that this only applies for 5.3. doscmd exists in 5.2.1.

The original commit message:
http://docs.freebsd.org/cgi/mid.cgi?200403232227.i2NMRQn5042762
Comment 1 Peter Pentchev 2004-09-13 11:13:32 UTC
On Fri, Sep 10, 2004 at 09:00:15PM +0200, Joel Dahl wrote:
> 
> >Number:         71566
> >Category:       docs
> >Synopsis:       [PATCH] FAQ update: Mention that doscmd is gone
> >Arrival-Date:   Fri Sep 10 19:00:32 GMT 2004
> >Originator:     Joel Dahl
> >Description:
> As I understand it, doscmd was removed from the base system
> a while ago and the FAQ does not mention this change.
> The attached patch makes the FAQ aware of this.
[snip]
> 
> >How-To-Repeat:
> 	
> >Fix:
[snip patch]

What do you think about the following rewording of the note?

Index: book.sgml
===================================================================
RCS file: /home/dcvs/doc/en_US.ISO8859-1/books/faq/book.sgml,v
retrieving revision 1.646
diff -u -r1.646 book.sgml
--- book.sgml	12 Sep 2004 18:38:47 -0000	1.646
+++ book.sgml	13 Sep 2004 10:11:56 -0000
@@ -11153,9 +11153,15 @@
         </question>
 
         <answer>
-          <para>Yes, you can use the integrated
-            <application>doscmd</application> DOS emulation program to
-            run a subset of DOS commands.</para>
+          <para>Yes, you can use <filename
+            role="package">emulators/doscmd</filename>, a DOS emulation
+            program, available in the &os; Ports Collection.</para>
+
+	  <note>
+            <para>The <application>doscmd</application> program used to be an
+              integrated part of &os;, but was removed before the release of
+              &os; 5.3.</para>
+	  </note>
 
           <para>If <application>doscmd</application> will not suffice,
             the add-on utility <filename

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net    roam@cnsys.bg    roam@FreeBSD.org
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
This inert sentence is my body, but my soul is alive, dancing in the sparks of your brain.
Comment 2 Peter Pentchev freebsd_committer 2004-09-13 17:19:09 UTC
State Changed
From-To: open->closed

Update committed, thanks!